package com.xzzn.ems.domain;

import java.util.Date;

import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * 设备状态变更记录对象 ems_device_change_log
 *
 * @author xzzn
 * @date 2025-11-15
 */
public class EmsDeviceChangeLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 日志ID（UUID） */
    @Excel(name = "日志ID", readConverterExp = "U=UID")
    private String logId;

    /** 日志时间（精确到秒） */
    @Excel(name = "日志时间", readConverterExp = "精=确到秒")
    private Date logTime;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备id */
    @Excel(name = "设备id")
    private String deviceId;

    /** 变更前状态：0-离线、1-待机、2-运行、3-故障、4-停机 */
    @Excel(name = "变更前状态：0-离线、1-待机、2-运行、3-故障、4-停机")
    private String beforeStatus;

    /** 变更后状态：0-离线、1-待机、2-运行、3-故障、4-停机 */
    @Excel(name = "变更后状态：0-离线、1-待机、2-运行、3-故障、4-停机")
    private String afterStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setLogId(String logId)
    {
        this.logId = logId;
    }

    public String getLogId()
    {
        return logId;
    }

    public void setLogTime(Date logTime)
    {
        this.logTime = logTime;
    }

    public Date getLogTime()
    {
        return logTime;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public void setBeforeStatus(String beforeStatus)
    {
        this.beforeStatus = beforeStatus;
    }

    public String getBeforeStatus()
    {
        return beforeStatus;
    }

    public void setAfterStatus(String afterStatus)
    {
        this.afterStatus = afterStatus;
    }

    public String getAfterStatus()
    {
        return afterStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("logId", getLogId())
                .append("logTime", getLogTime())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .append("beforeStatus", getBeforeStatus())
                .append("afterStatus", getAfterStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
